Documentation index for AI agents (llms.txt)

Append .md to any page URL for its markdown source, or fetch llms-full.txt for the complete corpus.

Documents

Upload a JSON bank statement

Upload a business or personal bank statement in JSON format. If you collect bank statement data for the customer via Open Banking, you can use this endpoint as instead of uploading their statements as a PDF.

The format of the JSON statement is your choice, but must contain certain information. Please inform your Partnership Manager of your desired format in advance.

For each statement, the following information is required:

  • Account number
  • Sort code
  • Account holder name
  • Currency
  • Bank name The following data points are not required, but are recommended:
  • Account type (business or personal)
  • Period (date of earliest and latest transaction)

For each transaction in a statement, the following information is required:

  • Date
  • Reference
  • Amount
  • Running balance* *or you can provide a starting balance and closing balance for the statement instead of a running balance on each transaction.

You can only send one statement at a time, so to send multiple statements you must make multiple requests.

POST/bank_statements/{customer_id}/

Authorizations

Authorizationstringheaderrequired

You must put the word Bearer or Token in the Authorization header before your token e.g:

Authorization: Bearer <Your API token>

Examples generated from this schema may be missing the word Bearer.

Path parameters

customer_idstringrequired

The unique customer_id used to represent a customer.

Query parameters

bank_statement_typestring

Body

Responses

Success

bank_statement_idstring<hash>required

Unique identifier for an uploaded bank statement.

bank_statement_typestringrequired
Allowed values:businesspersonal